## ros-iron-rmf-building-sim-gz-plugins 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_building_sim_gz_plugins)

set (CMAKE_AUTOMOC ON)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)

find_package(ignition-cmake2 REQUIRED)

ign_find_package(ignition-gazebo6 REQUIRED)
set(IGN_GAZEBO_VER 6)
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS register)
set(IGN_PLUGIN_VER 1)
ign_find_package(ignition-common4 REQUIRED)
set(IGN_COMMON_VER 4)
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER 6)
ign_find_package(ignition-gui6 REQUIRED)
set(IGN_GUI_VER 6)
ign_find_package(ignition-msgs8 REQUIRED)
set(IGN_MSGS_VER 8)
ign_find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER 11)
ign_find_package(ignition-rendering6 REQUIRED)
set(IGN_RENDERING_VER 6)
ign_find_package(sdformat12 REQUIRED)


find_package(rmf_building_sim_common REQUIRED)
find_package(rmf_fleet_msgs REQUIRED)
find_package (Qt5
  COMPONENTS
    Core
    Qml
    Quick
  REQUIRED
)
find_package(menge_vendor REQUIRED)

include(GNUInstallDirs)

###############################
# door stuff
###############################

add_library(door SHARED src/door.cpp)

target_include_directories(door
  PUBLIC
    ${rmf_building_sim_common_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
    ${rmf_door_msgs_INCLUDE_DIRS}
)

ament_target_dependencies(door
  PUBLIC
    rclcpp
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_building_sim_common
)

###############################
# lift stuff
###############################

add_library(lift SHARED src/lift.cpp)

target_include_directories(lift
  PUBLIC
    ${rmf_building_sim_common_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
)

ament_target_dependencies(lift
  PUBLIC
    rclcpp
    ignition-gazebo${IGN_GAZEBO_VER}
    ignition-plugin${IGN_PLUGIN_VER}
    rmf_building_sim_common
)

###############################
# crowd simulator stuff
###############################
add_library(crowd_simulator
  SHARED
  src/crowd_simulator.cpp
)

target_include_directories(crowd_simulator
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  ${rmf_building_sim_common_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${menge_vendor_INCLUDE_DIRS}
  ${IGNITION-COMMON_INCLUDE_DIRS}
)

ament_target_dependencies(crowd_simulator
  ignition-gazebo${IGN_GAZEBO_VER}
  ignition-plugin${IGN_PLUGIN_VER}
  rclcpp
  rmf_building_sim_common
  menge_vendor
)

###############################
# toggle charging
###############################

QT5_ADD_RESOURCES(resources_RCC src/toggle_charging/toggle_charging.qrc)

add_library(toggle_charging SHARED ${headers_MOC}
  src/toggle_charging/toggle_charging.cpp
  ${resources_RCC}
)

ament_target_dependencies(toggle_charging
  ignition-gui${IGN_GUI_VER}
  ignition-msgs${IGN_MSGS_VER}
  ignition-transport${IGN_TRANSPORT_VER}
  Qt5Core
  Qt5Qml
  Qt5Quick
  rclcpp
)

target_include_directories(toggle_charging
  PUBLIC
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
)

###############################
# toggle floors
###############################

QT5_ADD_RESOURCES(resources_RCC src/toggle_floors/toggle_floors.qrc)

add_library(toggle_floors SHARED ${headers_MOC}
  src/toggle_floors/toggle_floors.cpp
  ${resources_RCC}
)

ament_target_dependencies(toggle_floors
  ignition-gazebo${IGN_GAZEBO_VER}
  ignition-gui${IGN_GUI_VER}
  ignition-msgs${IGN_MSGS_VER}
  ignition-plugin${IGN_PLUGIN_VER}
  ignition-rendering${IGN_RENDERING_VER}
  ignition-transport${IGN_TRANSPORT_VER}
  Qt5Core
  Qt5Qml
  Qt5Quick
  rclcpp
  rmf_fleet_msgs
)

target_include_directories(toggle_floors
  PUBLIC
  ${Qt5Core_INCLUDE_DIRS}
  ${Qt5Qml_INCLUDE_DIRS}
  ${Qt5Quick_INCLUDE_DIRS}
)

###############################
# install stuff
###############################

install(
  TARGETS door lift crowd_simulator toggle_charging toggle_floors
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-iron-rmf-building-sim-gz-plugins (2.1.1-1jammy) jammy; urgency=high

  * Use JointPositionReset for open loop door control (#106 <https://github.com/open-rmf/rmf_simulation/issues/106>)
  * Contributors: Luca Della Vedova

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-iron-rmf-building-sim-gz-plugins (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Contributors: Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-building-sim-gz-plugins (2.0.0-1jammy) jammy; urgency=high

  * Use ECM instead of traversing sdformat parent for Gazebo doors (#80 <https://github.com/open-rmf/rmf_simulation/pull/80>)
  * Fix potential segfault in toggle_floors plugin (#79 <https://github.com/open-rmf/rmf_simulation/pull/79>)
  * Fix a segfault in toggle floor plugin which causes ignition to crash when scene is not ready (#78 <https://github.com/open-rmf/rmf_simulation/pull/78>)
  * Renamed to rmf_building_sim_gz_plugins and Humble migration (#77 <https://github.com/open-rmf/rmf_simulation/pull/77>)
  * Add an Ignition GUI plugin to toggle floors visibility (#72 <https://github.com/open-rmf/rmf_simulation/pull/72>)
  * Contributors: Arjo Chakravarty, Luca Della Vedova, Yadunund, chianfern

 -- Luca Della Vedova <luca@openrobotics.org>  Sat, 09 Apr 2022 16:00:00 -0000

ros-iron-rmf-building-sim-gz-plugins (1.3.0-1jammy) jammy; urgency=high

  * Added rosdep key for ignition-edifice, made it a mandatory dependency (#31 <https://github.com/open-rmf/rmf_simulation/pull/31>)
  * Skip updating ignition plugins when simulation is paused (#34 <https://github.com/open-rmf/rmf_simulation/pull/34>)
  * updating for galactic and rolling compatibility (#29 <https://github.com/open-rmf/rmf_simulation/pull/29>)
  * Fix dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Make menge mandatory and fix building_sim dependencies (#19 <https://github.com/open-rmf/rmf_simulation/pull/19>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Crowd step size fix for large physics step sizes (#10 <https://github.com/open-rmf/rmf_simulation/pull/10>)
  * Update to Ignition Edifice (#8 <https://github.com/open-rmf/rmf_simulation/pull/8>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Contributors: Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-building-sim-gz-plugins (1.2.0-1jammy) jammy; urgency=high

  * Remove Slotcar/Lift AABB component when not required to speed up demos (#271 <https://github.com/osrf/traffic_editor/pull/271>)
  * Migrate ignition plugins to ament_target_dependencies (#262 <https://github.com/osrf/traffic_editor/pull/262>)
  * Enable lifts to work with TPE, modifies lift plugin to issue either joint or model velocity commands based on the physics engine used (#250 <https://github.com/osrf/traffic_editor/pull/250>)
  * Control slotcar with model velocity cmds in place of joint velocity cmds (#236 <https://github.com/osrf/traffic_editor/pull/236>)
  * Implement battery drain and recharge for slotcars (#242 <https://github.com/osrf/traffic_editor/pull/242>)
  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/pull/235>)
  * Building_crowdsim for generating the navmesh file and required configuration files for menge (#224 <https://github.com/osrf/traffic_editor/pull/224>)
  * Add animation switch to crowd simulation plugin (#238 <https://github.com/osrf/traffic_editor/pull/238>)
  * Contributors: Geoffrey Biggs, Guoliang (Fred) Shao, Luca Della Vedova, Marco A. Gutierrez, Marco A. Gutiérrez, Rushyendra Maganty

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 05 Jan 2021 16:00:00 -0000

ros-iron-rmf-building-sim-gz-plugins (1.0.0-1jammy) jammy; urgency=high

  * Focal / Ignition dome dependencies update (#230 <https://github.com/osrf/traffic_editor/pull/230>)
  * Ignition crowd simulation plugin (#218 <https://github.com/osrf/traffic_editor/pull/218>)
  * Create AxisAlignedBox component for slotcar (#227 <https://github.com/osrf/traffic_editor/pull/227>)
  * Ignition plugins and modularization of doors and slotcar (#138 <https://github.com/osrf/traffic_editor/pull/13>)
  * Adding lift plugin for ignition (#171 <https://github.com/osrf/traffic_editor/pull/17>)
  * Contributors: Guoliang (Fred) Shao, Luca Della Vedova, Rushyendra Maganty, kevinskwk

 -- Luca Della Vedova <luca@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-building-sim-gz-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ignition-fortress, libqt5core5a, libqt5qml5, libqt5quick5, ros-iron-ament-cmake, ros-iron-menge-vendor, ros-iron-rclcpp, ros-iron-rmf-building-sim-common, ros-iron-rmf-fleet-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-building-sim-gz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ignition-fortress, libqt5core5a, libqt5qml5, libqt5quick5, ros-iron-menge-vendor, ros-iron-rclcpp, ros-iron-rmf-building-sim-common, ros-iron-rmf-fleet-msgs, ros-iron-ros-workspace
Description: Gazebo plugins for building infrastructure simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-building-sim-gz-plugins//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
